## atsar 1.6

=== Makefile ===
#
# Makefile for gathering and handling of kernel statistics under LINUX, 
# similar to the tool "sar" on other UNIX-implementations.
#
# Ports of atsar for other UNIX-versions are available on request.
#
#
CFLAGS=-I../include -DWEBSUPPORT

all:
	cc -c version.c
	cd atsadc;	make "CFLAGS=$(CFLAGS)"
	cd atsar;	make "CFLAGS=$(CFLAGS)"

clean:
	rm *.o
	cd atsar;	make clean
	cd atsadc;	make clean

install:
	if [ ! -d /var/log/atsar ]; then mkdir /var/log/atsar; fi
	if [ ! -d /usr/local/man/man1  ]; then mkdir -p /usr/local/man/man1; fi
	cp man/*             /usr/local/man/man1
	cp atsar/atsar       /usr/local/bin
	chmod 755            /usr/local/bin/atsar
	cp atsadc/atsadc     /usr/local/bin
	chmod 755            /usr/local/bin/atsadc
	cp scripts/atsa1     /usr/local/bin
	chmod 755            /usr/local/bin/atsa1
	cp scripts/atsaftp   /usr/local/bin
	chmod 755            /usr/local/bin/atsaftp
	cp scripts/atsahttp  /usr/local/bin
	chmod 755            /usr/local/bin/atsahttp
	cp atsar_linux.init  /etc/rc.d/init.d/atsar
	cp atsar_linux.cron  /etc/cron.d/atsar
	cp atsar_linux.conf  /etc/atsar.conf
	if [ -f /var/log/atsar/ftpstat ];  then rm /var/log/atsar/ftpstat; fi
	if [ -f /var/log/atsar/httpstat ]; then rm /var/log/atsar/httpstat; fi
	if [ -f /var/log/atsar/atsa`date +%d` ]; then rm /var/log/atsar/atsa`date +%d`; fi
	/usr/local/bin/atsa1

## atsar 1.7

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Ports of atsar for other UNIX-versions are available on request.
 #
 #
-CFLAGS=-I../include -DWEBSUPPORT
+CFLAGS=-I../include -DWEBSUPPORT -Wall
 
 all:
 	cc -c version.c
@@ -32,6 +32,7 @@
 	cp scripts/atsahttp  /usr/local/bin
 	chmod 755            /usr/local/bin/atsahttp
 	cp atsar_linux.init  /etc/rc.d/init.d/atsar
+	chmod 755            /etc/rc.d/init.d/atsar
 	cp atsar_linux.cron  /etc/cron.d/atsar
 	cp atsar_linux.conf  /etc/atsar.conf
 	if [ -f /var/log/atsar/ftpstat ];  then rm /var/log/atsar/ftpstat; fi

=== atsadc/Makefile ===
all:		atsadc

atsadc:				atsadc.o fetchdef.o 
		cc -o atsadc 	atsadc.o fetchdef.o ../version.o

atsadc.o:	../include/atsar.h
fetchdef.o:	../include/atsar.h ../include/includes.h ../include/linuxstat.h

clean:
		rm *.o

=== atsar/Makefile ===
all:		atsar

atsar:				atsar.o	funcdef.o
		cc -o atsar 	atsar.o	funcdef.o ../version.o

atsar.o:	../include/atsar.h
funcdef.o:	../include/atsar.h ../include/includes.h ../include/linuxstat.h

clean:
		rm *.o

=== debian/changelog ===
atsar (1.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrated DH level to 9 to avoid a FTBFS. (Closes: #800264)
  * To build twice, this package needed these changes:
      - Migrated to DebSrc 3.0 to allow patches using quilt.
      - Created a patch to fix all clean targets in all upstream
        Makefiles.
      - Added the debian/clean to remove binary changed files in
        upstream place.
  * debian/compat: added.
  * debian/conffiles: removed to avoid the duplicate-conffile
      error pointed by Lintian.
  * debian/control:
     - Added the ${misc:Depends} variable to provide the
       right install dependencies.
     - Bumped Standards-Version to 3.9.6.
  * debian/rules: changed the binary-arch target to install
      files in right place.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 10 Dec 2015 20:44:44 -0200

atsar (1.7-2) unstable; urgency=low

  * correct calculations for 2.6 -d :)

 -- Michael Stone <mstone@debian.org>  Fri, 23 Jul 2004 09:11:22 -0400

atsar (1.7-1) unstable; urgency=low

  * new upstream version
    - linux 2.6 support
  * add support for -d for 2.6 kernel
  * policy 3.6.1.0

 -- Michael Stone <mstone@debian.org>  Thu, 22 Jul 2004 21:19:09 -0400

atsar (1.6-3) unstable; urgency=low

  * update description (Closes: #124431)
  * use */n syntax in cron entry (Closes: #177728)
  * delete out of date sar file on boot
  * update policy to 3.5.8.0

 -- Michael Stone <mstone@debian.org>  Sun, 09 Feb 2003 14:02:14 -0500

atsar (1.6-2) unstable; urgency=low

  * fixed a lot of format strings
  * -g in CFLAGS

 -- Michael Stone <mstone@debian.org>  Wed, 25 Jul 2001 16:25:50 -0400

atsar (1.6-1) unstable; urgency=low

  * new upstream version
  * ftp & web monitoring packaged RSN

 -- Michael Stone <mstone@debian.org>  Tue, 24 Jul 2001 11:16:27 -0400

atsar (1.5-7) unstable; urgency=low

  * forgot to redirect find output

 -- Michael Stone <mstone@debian.org>  Tue, 24 Jul 2001 08:55:09 -0400

atsar (1.5-6) unstable; urgency=low

  * cron wants % escaped (Closes: #98236)
  * change cron test to look for the right file (Closes: #86046)
  * don't delete files after one week 
  * do delete files that are not from today before writing to them 
    (Closes: #87286)

 -- Michael Stone <mstone@debian.org>  Sun,  8 Jul 2001 09:35:43 -0400

atsar (1.5-5) unstable; urgency=low

  * fixed update-alternatives (Closes: #81046)
  * fixed sa1 script (Closes: #79426)

 -- Michael Stone <mstone@debian.org>  Tue,  2 Jan 2001 07:10:36 -0500

atsar (1.5-4) unstable; urgency=low

  * supports new disk stat format in 2.4 kernels

 -- Michael Stone <mstone@debian.org>  Fri,  1 Dec 2000 06:42:16 -0500

atsar (1.5-3) unstable; urgency=low

  * sar is an alternative
  * atsar logs are deleted after a week

 -- Michael Stone <mstone@debian.org>  Tue, 28 Nov 2000 19:29:37 -0500

atsar (1.5-2) unstable; urgency=low

  * forgot to Recommend: cron
  * rm shouldn't fail in debian/rules (Closes: #69705, #69853)

 -- Michael Stone <mstone@debian.org>  Thu, 24 Aug 2000 17:38:58 -0400

atsar (1.5-1) unstable; urgency=low

  * inital package

 -- Michael Stone <mstone@debian.org>  Sun, 13 Aug 2000 12:23:08 -0400

=== debian/control ===
Source: atsar
Section: admin
Priority: optional
Maintainer: Michael Stone <mstone@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)

Package: atsar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cron
Description: system activity reporter
 Monitor system resources such as CPU, network, memory & disk I/O, and 
 record data for later analysis

=== debian/rules ===
#!/usr/bin/make -f
# Based heavily on Ian Jackson's sample rules file for GNU hello
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)

package=atsar

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS = -g -I../include -Wall -O0 -fno-strict-aliasing
else
CFLAGS = -g -I../include -Wall -O2 -fno-strict-aliasing
endif
LDFLAGS = 

build: stamp-build

stamp-build: 
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch stamp-build

clean:
	dh_testdir
	make clean
	rm -f stamp-build
	dh_clean

binary-indep:   stamp-build
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:    stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k

	mkdir -p debian/atsar/usr/bin
	cp atsar/atsar debian/atsar/usr/bin
	mkdir -p debian/atsar/usr/lib/atsar
	cp atsadc/atsadc debian/atsar/usr/lib/atsar
	cp scripts/atsa1 debian/atsar/usr/lib/atsar
	mkdir -p debian/atsar/usr/share/man/man1
	cp man/atsar.1 debian/atsar/usr/share/man/man1
	mkdir -p debian/atsar/usr/share/man/man8
	cp man/atsadc.1 debian/atsar/usr/share/man/man8/atsadc.8
	ln -s atsadc.8 debian/atsar/usr/share/man/man8/atsa1.8
	mkdir -p debian/atsar/var/log/atsar

	dh_installdocs README
	
	dh_installcron

	dh_installchangelogs
	
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:         binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean
